unit DTForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, FileDrop;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
    procedure OnFilesDropped(Sender:TObject;const FileNames:TStringList);
    procedure OnDragEnter(Sender:TObject;const FileNames:TStringList;var CanEnter:boolean);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses ActiveX;

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var FDropAcceptor:TFileDropAcceptor;
begin
     FDropAcceptor:=TFileDropAcceptor.Create(OnFilesDropped,OnDragEnter);
     RegisterDragDrop(ListBox1.Handle,FDropAcceptor as IDropTarget);
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
     RevokeDragDrop(ListBox1.Handle);
end;

procedure TForm1.OnFilesDropped(Sender:TObject;const FileNames:TStringList);
begin
     ListBox1.Items.Assign(FileNames);
end;

procedure TForm1.OnDragEnter(Sender:TObject;const FileNames:TStringList;var CanEnter:boolean);
begin
     CanEnter:=FileNames.Count>1;
end;

end.
